@echo off 

rem   

set WORKPATH=d:\scripts


rem  postgres -  (base1 base2 base3 base4)
set PGBASES=(nartov_p)

rem     postgres  7z

set PGBINPATH="C:\Program Files\PostgreSQL\9.6.7-1.1C\bin"
set PATH7Z="C:\Program Files\7-Zip"

rem 
SET PGPASSWORD=175886

rem      (  )
SET DAYSAGO=2


set mhost=127.0.0.1
set mport=5432
set musername="postgres"
set mrole="postgres"

rem *************************************************************************************

cd %WORKPATH%

IF NOT EXIST TMP mkdir TMP
set PGTMP=%WORKPATH%\TMP

IF NOT EXIST BACKUP mkdir BACKUP
set PGBACKUP=%WORKPATH%\BACKUP

IF NOT EXIST LOG mkdir LOG


for /f "delims=." %%i in ('wmic.exe OS get LocalDateTime ^| find "."') do set sDateTime=%%i 
set f_year=%sDateTime:~0,4%
set f_month=%sDateTime:~4,2%
set f_day=%sDateTime:~6,2%
set f_hour=%sDateTime:~8,2%
set f_min=%sDateTime:~10,2%
set f_sec=%sDateTime:~12,2%


set f_name=%f_year%%f_month%%f_day%
set logfile=%WORKPATH%\LOG\%f_year%%f_month%%f_day%.log

rem ***********************************************************************************************
    
set mm=%f_month%  
set dd=%f_day%  
set yyyy=%f_year%

    
if %dd%==08 (  
  set dd=8 ) else (  
if %dd%==09 (  
  set dd=9 ) )  
    
if %mm%==08 (  
  set mm=8 ) else (  
if %mm%==09 (  
  set mm=9 ) )  
    
set /A dd=%dd% - %DAYSAGO%  
set /A mm=%mm% + 0  
    
if /I %dd% GTR 0 goto DONE  
  set /A mm=%mm% - 1  
if /I %mm% GTR 0 goto ADJUSTDAY  
  set /A mm=12  
  set /A yyyy=%yyyy% - 1  
    
:ADJUSTDAY  
  if %mm%==1 goto SET31  
  if %mm%==2 goto LEAPCHK  
  if %mm%==3 goto SET31  
  if %mm%==4 goto SET30  
  if %mm%==5 goto SET31  
  if %mm%==6 goto SET30  
  if %mm%==7 goto SET31  
  if %mm%==8 goto SET31  
  if %mm%==9 goto SET30  
  if %mm%==10 goto SET31  
  if %mm%==11 goto SET30  
  if %mm%==12 goto SET31  
    
goto ERROR  
    
:SET31  
  set /A dd=31 + %dd%  
  goto DONE  
    
:SET30  
  set /A dd=30 + %dd%  
  goto DONE  
    
:LEAPCHK  
  set /A tt=%yyyy% %% 4  
  if not %tt%==0 goto SET28  
  set /A tt=%yyyy% %% 100  
  if not %tt%==0 goto SET29  
  set /A tt=%yyyy% %% 400  
  if %tt%==0 goto SET29  
    
:SET28  
  set /A dd=28 + %dd%  
  goto DONE  
    
:SET29  
  set /A dd=29 + %dd%  
    
:DONE  
  if /i %dd% LSS 10 set dd=0%dd%  
  if /I %mm% LSS 10 set mm=0%mm%  

set NameOldDir="%yyyy%%mm%%dd%"

IF exist %PGBACKUP%\%NameOldDir% ( 
	SET NameBackupDir=%NameOldDir%
        SET DEL_OLDDIR=1) ELSE ( 
	SET NameBackupDir="-"
        SET DEL_OLDDIR=0)

@echo on







